@ECHO OFF
@setlocal

if .==%NAUTICA_HOME%. GOTO ERR

set NAUTICA_LIB="%NAUTICA_HOME%\lib"
set CLASSPATH=.;%NAUTICA_LIB%\nautica-designtool.jar;%NAUTICA_LIB%\xpdl.jar;%NAUTICA_LIB%\xbean.jar;%NAUTICA_LIB%\nwf.jar
set DESIGNSTARTER=jp.co.argo21.nautica.tool.wfd.WorkflowDesigner

cd "%NAUTICA_HOME%"

rem WorkflowDesignerの起動
"%JAVA_HOME%\bin\java" -classpath %CLASSPATH% %DESIGNSTARTER%

GOTO END

:ERR
@echo 環境変数NAUTICA_HOMEが設定されていません。
@echo 環境変数NAUTICA_HOMEにNAUTICAをインストールしたディレクトリを
@echo 設定してください。

:END
@endlocal
